Subject: bug#29515: closed (Re: [bug#29515] [PATCH 0/2] Reducing the closure of man-db)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Dec 2017 14:11:02 +0000

Your bug report

#29515: [PATCH 0/2] Reducing the closure of man-db

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29515: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29515
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29515] [PATCH 0/2] Reducing the closure of man-db
From: [email-masked] (Ludovic Courtès)
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Dec 2017 15:10:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Famulari <[email-masked]> skribis:

> On Fri, Dec 01, 2017 at 10:56:49AM +0100, Ludovic Courtès wrote:
>> Hello,
>> 
>> These patches reduce the man-db closure significantly, notably by
>> removing Perl and Gawk from the reference graph.  Incidentally, that
>> also removes Perl from the reference graph of the GuixSD installation
>> image.
>> 
>> I’ve confirmed that the resulting man-db still works as expected by
>> running commands like:
>> 
>>   ./pre-inst-env guix environment -C --ad-hoc man-db man-pages \
>>      -- man pthread_create
>> 
>> Feedback welcome!
>
> I think it's great!

Thanks, pushed!  :-)

Ludo’.

Subject: [PATCH 0/2] Reducing the closure of man-db
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Fri, 1 Dec 2017 10:56:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

These patches reduce the man-db closure significantly, notably by
removing Perl and Gawk from the reference graph.  Incidentally, that
also removes Perl from the reference graph of the GuixSD installation
image.

I’ve confirmed that the resulting man-db still works as expected by
running commands like:

  ./pre-inst-env guix environment -C --ad-hoc man-db man-pages \
     -- man pthread_create

Feedback welcome!

Ludo’.

Ludovic Courtès (2):
  gnu: Add groff-minimal.
  gnu: man-db: Use 'groff-minimal' at run time.

 gnu/packages/groff.scm | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 gnu/packages/man.scm   | 18 +++++++++++++-----
 2 files changed, 60 insertions(+), 5 deletions(-)

-- 
2.15.0